NIT(4M)

NAME
nit - Network Interface Tap

SYNOPSIS

DESCRIPTION
NIT is a streams facility composed of several modules and drivers.

<<useful for raw network access, both for network monitoring and for user-level protocol implementation.>>

<<nit clients composed from various combinations of these components>>

EXAMPLES
<<packet reading loop skeleton from etherfind, to illustrate how to cope with dismantling the headers the various NIT components glue on.>>

SEE ALSO
nit_if(4m), nit_pf(4m), nit_buf(4m), etherd(8c), etherfind(8c), rarpd(8c)